Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network19.24.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
19.24.0.0
Broadcast address
19.31.255.255
First usable
19.24.0.1
Last usable
19.31.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 13180000 · Integer 320339968 to 320864255
Reverse DNS zones
24.19.in-addr.arpa
25.19.in-addr.arpa
26.19.in-addr.arpa
27.19.in-addr.arpa
28.19.in-addr.arpa
29.19.in-addr.arpa
30.19.in-addr.arpa
31.19.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010011.00011000.00000000.0000000019.24.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00010011.00011000.00000000.0000000019.24.0.0
Broadcast00010011.00011111.11111111.1111111119.31.255.255
Split into smaller subnets/20

19.24.0.0/13 makes 128 subnets of /20.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
119.24.0.0/2019.24.0.1 to 19.24.15.25419.24.15.2554,094
219.24.16.0/2019.24.16.1 to 19.24.31.25419.24.31.2554,094
319.24.32.0/2019.24.32.1 to 19.24.47.25419.24.47.2554,094
419.24.48.0/2019.24.48.1 to 19.24.63.25419.24.63.2554,094
519.24.64.0/2019.24.64.1 to 19.24.79.25419.24.79.2554,094
619.24.80.0/2019.24.80.1 to 19.24.95.25419.24.95.2554,094
719.24.96.0/2019.24.96.1 to 19.24.111.25419.24.111.2554,094
819.24.112.0/2019.24.112.1 to 19.24.127.25419.24.127.2554,094
919.24.128.0/2019.24.128.1 to 19.24.143.25419.24.143.2554,094
1019.24.144.0/2019.24.144.1 to 19.24.159.25419.24.159.2554,094
1119.24.160.0/2019.24.160.1 to 19.24.175.25419.24.175.2554,094
1219.24.176.0/2019.24.176.1 to 19.24.191.25419.24.191.2554,094
1319.24.192.0/2019.24.192.1 to 19.24.207.25419.24.207.2554,094
1419.24.208.0/2019.24.208.1 to 19.24.223.25419.24.223.2554,094
1519.24.224.0/2019.24.224.1 to 19.24.239.25419.24.239.2554,094
1619.24.240.0/2019.24.240.1 to 19.24.255.25419.24.255.2554,094
1719.25.0.0/2019.25.0.1 to 19.25.15.25419.25.15.2554,094
1819.25.16.0/2019.25.16.1 to 19.25.31.25419.25.31.2554,094
1919.25.32.0/2019.25.32.1 to 19.25.47.25419.25.47.2554,094
2019.25.48.0/2019.25.48.1 to 19.25.63.25419.25.63.2554,094
2119.25.64.0/2019.25.64.1 to 19.25.79.25419.25.79.2554,094
2219.25.80.0/2019.25.80.1 to 19.25.95.25419.25.95.2554,094
2319.25.96.0/2019.25.96.1 to 19.25.111.25419.25.111.2554,094
2419.25.112.0/2019.25.112.1 to 19.25.127.25419.25.127.2554,094
2519.25.128.0/2019.25.128.1 to 19.25.143.25419.25.143.2554,094
2619.25.144.0/2019.25.144.1 to 19.25.159.25419.25.159.2554,094
2719.25.160.0/2019.25.160.1 to 19.25.175.25419.25.175.2554,094
2819.25.176.0/2019.25.176.1 to 19.25.191.25419.25.191.2554,094
2919.25.192.0/2019.25.192.1 to 19.25.207.25419.25.207.2554,094
3019.25.208.0/2019.25.208.1 to 19.25.223.25419.25.223.2554,094
3119.25.224.0/2019.25.224.1 to 19.25.239.25419.25.239.2554,094
3219.25.240.0/2019.25.240.1 to 19.25.255.25419.25.255.2554,094
3319.26.0.0/2019.26.0.1 to 19.26.15.25419.26.15.2554,094
3419.26.16.0/2019.26.16.1 to 19.26.31.25419.26.31.2554,094
3519.26.32.0/2019.26.32.1 to 19.26.47.25419.26.47.2554,094
3619.26.48.0/2019.26.48.1 to 19.26.63.25419.26.63.2554,094
3719.26.64.0/2019.26.64.1 to 19.26.79.25419.26.79.2554,094
3819.26.80.0/2019.26.80.1 to 19.26.95.25419.26.95.2554,094
3919.26.96.0/2019.26.96.1 to 19.26.111.25419.26.111.2554,094
4019.26.112.0/2019.26.112.1 to 19.26.127.25419.26.127.2554,094
4119.26.128.0/2019.26.128.1 to 19.26.143.25419.26.143.2554,094
4219.26.144.0/2019.26.144.1 to 19.26.159.25419.26.159.2554,094
4319.26.160.0/2019.26.160.1 to 19.26.175.25419.26.175.2554,094
4419.26.176.0/2019.26.176.1 to 19.26.191.25419.26.191.2554,094
4519.26.192.0/2019.26.192.1 to 19.26.207.25419.26.207.2554,094
4619.26.208.0/2019.26.208.1 to 19.26.223.25419.26.223.2554,094
4719.26.224.0/2019.26.224.1 to 19.26.239.25419.26.239.2554,094
4819.26.240.0/2019.26.240.1 to 19.26.255.25419.26.255.2554,094
4919.27.0.0/2019.27.0.1 to 19.27.15.25419.27.15.2554,094
5019.27.16.0/2019.27.16.1 to 19.27.31.25419.27.31.2554,094
5119.27.32.0/2019.27.32.1 to 19.27.47.25419.27.47.2554,094
5219.27.48.0/2019.27.48.1 to 19.27.63.25419.27.63.2554,094
5319.27.64.0/2019.27.64.1 to 19.27.79.25419.27.79.2554,094
5419.27.80.0/2019.27.80.1 to 19.27.95.25419.27.95.2554,094
5519.27.96.0/2019.27.96.1 to 19.27.111.25419.27.111.2554,094
5619.27.112.0/2019.27.112.1 to 19.27.127.25419.27.127.2554,094
5719.27.128.0/2019.27.128.1 to 19.27.143.25419.27.143.2554,094
5819.27.144.0/2019.27.144.1 to 19.27.159.25419.27.159.2554,094
5919.27.160.0/2019.27.160.1 to 19.27.175.25419.27.175.2554,094
6019.27.176.0/2019.27.176.1 to 19.27.191.25419.27.191.2554,094
6119.27.192.0/2019.27.192.1 to 19.27.207.25419.27.207.2554,094
6219.27.208.0/2019.27.208.1 to 19.27.223.25419.27.223.2554,094
6319.27.224.0/2019.27.224.1 to 19.27.239.25419.27.239.2554,094
6419.27.240.0/2019.27.240.1 to 19.27.255.25419.27.255.2554,094
6519.28.0.0/2019.28.0.1 to 19.28.15.25419.28.15.2554,094
6619.28.16.0/2019.28.16.1 to 19.28.31.25419.28.31.2554,094
6719.28.32.0/2019.28.32.1 to 19.28.47.25419.28.47.2554,094
6819.28.48.0/2019.28.48.1 to 19.28.63.25419.28.63.2554,094
6919.28.64.0/2019.28.64.1 to 19.28.79.25419.28.79.2554,094
7019.28.80.0/2019.28.80.1 to 19.28.95.25419.28.95.2554,094
7119.28.96.0/2019.28.96.1 to 19.28.111.25419.28.111.2554,094
7219.28.112.0/2019.28.112.1 to 19.28.127.25419.28.127.2554,094
7319.28.128.0/2019.28.128.1 to 19.28.143.25419.28.143.2554,094
7419.28.144.0/2019.28.144.1 to 19.28.159.25419.28.159.2554,094
7519.28.160.0/2019.28.160.1 to 19.28.175.25419.28.175.2554,094
7619.28.176.0/2019.28.176.1 to 19.28.191.25419.28.191.2554,094
7719.28.192.0/2019.28.192.1 to 19.28.207.25419.28.207.2554,094
7819.28.208.0/2019.28.208.1 to 19.28.223.25419.28.223.2554,094
7919.28.224.0/2019.28.224.1 to 19.28.239.25419.28.239.2554,094
8019.28.240.0/2019.28.240.1 to 19.28.255.25419.28.255.2554,094
8119.29.0.0/2019.29.0.1 to 19.29.15.25419.29.15.2554,094
8219.29.16.0/2019.29.16.1 to 19.29.31.25419.29.31.2554,094
8319.29.32.0/2019.29.32.1 to 19.29.47.25419.29.47.2554,094
8419.29.48.0/2019.29.48.1 to 19.29.63.25419.29.63.2554,094
8519.29.64.0/2019.29.64.1 to 19.29.79.25419.29.79.2554,094
8619.29.80.0/2019.29.80.1 to 19.29.95.25419.29.95.2554,094
8719.29.96.0/2019.29.96.1 to 19.29.111.25419.29.111.2554,094
8819.29.112.0/2019.29.112.1 to 19.29.127.25419.29.127.2554,094
8919.29.128.0/2019.29.128.1 to 19.29.143.25419.29.143.2554,094
9019.29.144.0/2019.29.144.1 to 19.29.159.25419.29.159.2554,094
9119.29.160.0/2019.29.160.1 to 19.29.175.25419.29.175.2554,094
9219.29.176.0/2019.29.176.1 to 19.29.191.25419.29.191.2554,094
9319.29.192.0/2019.29.192.1 to 19.29.207.25419.29.207.2554,094
9419.29.208.0/2019.29.208.1 to 19.29.223.25419.29.223.2554,094
9519.29.224.0/2019.29.224.1 to 19.29.239.25419.29.239.2554,094
9619.29.240.0/2019.29.240.1 to 19.29.255.25419.29.255.2554,094
9719.30.0.0/2019.30.0.1 to 19.30.15.25419.30.15.2554,094
9819.30.16.0/2019.30.16.1 to 19.30.31.25419.30.31.2554,094
9919.30.32.0/2019.30.32.1 to 19.30.47.25419.30.47.2554,094
10019.30.48.0/2019.30.48.1 to 19.30.63.25419.30.63.2554,094
10119.30.64.0/2019.30.64.1 to 19.30.79.25419.30.79.2554,094
10219.30.80.0/2019.30.80.1 to 19.30.95.25419.30.95.2554,094
10319.30.96.0/2019.30.96.1 to 19.30.111.25419.30.111.2554,094
10419.30.112.0/2019.30.112.1 to 19.30.127.25419.30.127.2554,094
10519.30.128.0/2019.30.128.1 to 19.30.143.25419.30.143.2554,094
10619.30.144.0/2019.30.144.1 to 19.30.159.25419.30.159.2554,094
10719.30.160.0/2019.30.160.1 to 19.30.175.25419.30.175.2554,094
10819.30.176.0/2019.30.176.1 to 19.30.191.25419.30.191.2554,094
10919.30.192.0/2019.30.192.1 to 19.30.207.25419.30.207.2554,094
11019.30.208.0/2019.30.208.1 to 19.30.223.25419.30.223.2554,094
11119.30.224.0/2019.30.224.1 to 19.30.239.25419.30.239.2554,094
11219.30.240.0/2019.30.240.1 to 19.30.255.25419.30.255.2554,094
11319.31.0.0/2019.31.0.1 to 19.31.15.25419.31.15.2554,094
11419.31.16.0/2019.31.16.1 to 19.31.31.25419.31.31.2554,094
11519.31.32.0/2019.31.32.1 to 19.31.47.25419.31.47.2554,094
11619.31.48.0/2019.31.48.1 to 19.31.63.25419.31.63.2554,094
11719.31.64.0/2019.31.64.1 to 19.31.79.25419.31.79.2554,094
11819.31.80.0/2019.31.80.1 to 19.31.95.25419.31.95.2554,094
11919.31.96.0/2019.31.96.1 to 19.31.111.25419.31.111.2554,094
12019.31.112.0/2019.31.112.1 to 19.31.127.25419.31.127.2554,094
12119.31.128.0/2019.31.128.1 to 19.31.143.25419.31.143.2554,094
12219.31.144.0/2019.31.144.1 to 19.31.159.25419.31.159.2554,094
12319.31.160.0/2019.31.160.1 to 19.31.175.25419.31.175.2554,094
12419.31.176.0/2019.31.176.1 to 19.31.191.25419.31.191.2554,094
12519.31.192.0/2019.31.192.1 to 19.31.207.25419.31.207.2554,094
12619.31.208.0/2019.31.208.1 to 19.31.223.25419.31.223.2554,094
12719.31.224.0/2019.31.224.1 to 19.31.239.25419.31.239.2554,094
12819.31.240.0/2019.31.240.1 to 19.31.255.25419.31.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses